# Loki::DeepCopy< P > Struct Template Reference
[Ownership policies]

`#include <SmartPtr.h>`

List of all members.

## Detailed Description

### template<class P>
struct Loki::DeepCopy< P >

Implementation of the OwnershipPolicy used by SmartPtr Implements deep copy semantics, assumes existence of a Clone() member function of the pointee type

The documentation for this struct was generated from the following file:

- SmartPtr.h